<div class="popup">
  <div (click)="openFullApp.emit('')" class="popup__header">
    <div
      class="popup__logo"
      [inlineSVG]="'../../../assets/svg/passit-logo.svg'"
    ></div>
  </div>
  <a
    class="popup__full-app-link"
    [class.popup--notification]="totalSecretsCount === 0 || hasGroupInvites"
    href="javascript:void(0)"
    tooltip="Open full app"
    (click)="openFullApp.emit('')"
  >
    <div
      class="popup__full-app-icon"
      [inlineSVG]="'../../../assets/svg/full-app.svg'"
    ></div>
  </a>

  <div class="group-invite-note" *ngIf="hasGroupInvites">
    Someone wants to share passwords with you. Click the icon above, then press
    &ldquo;Groups&rdquo; to manage your invitations.
  </div>

  <search
    [secretsLength]="totalSecretsCount"
    [query]="search"
    (searchTerm)="searchUpdate.emit($event)"
    class="popup__search"
  ></search>

  <cdk-virtual-scroll-viewport
    class="viewport"
    [class.viewport--has-group-invite-note]="hasGroupInvites"
    [itemSize]="69"
  >
    <popup-onboarding
      *ngIf="totalSecretsCount === 0 && popupFirstTimeLoadingComplete"
      [totalSecretsCount]="totalSecretsCount"
      (openFullApp)="openFullApp.emit($event)"
    ></popup-onboarding>
    <div
      *ngIf="matchedSecrets.length"
      class="popup__password-list-header popup__password-list-header--matched"
    >
      Passwords associated with this site
    </div>
    <!--
      We must combine managed and all secrets in one VirtualFor as it should all scroll
    -->
    <div
      *cdkVirtualFor="
        let secret of matchedSecrets.concat(secrets);
        let i = index
      "
      class="item"
    >
      <popup-onboarding
        *ngIf="totalSecretsCount === 1 && popupFirstTimeLoadingComplete"
        [totalSecretsCount]="totalSecretsCount"
        [secret]="secret"
        (openUrl)="openUrl.emit(secret)"
      ></popup-onboarding>
      <div
        class="popup__password-list-header"
        *ngIf="matchedSecrets.length > 0 && i === matchedSecrets.length"
      >
        All Passwords
      </div>
      <app-popup-item
        [secret]="secret"
        [isSelected]="secret.id === selectedSecret"
        [formFillMessage]="formFillMessage"
        [usernameCopied]="secret.id === usernameCopied"
        [passwordCopied]="secret.id === passwordCopied"
        [isMatched]="matchedSecrets.length > i"
        (autofill)="signIn.emit(secret)"
        (openUrl)="openUrl.emit(secret)"
        (onCopyUsername)="onCopyUsername.emit(secret)"
        (onCopyPassword)="onCopyPassword.emit(secret)"
        (setSelected)="setSelected.emit($event)"
        (closeSelected)="setSelected.emit()"
        (openFullApp)="openFullApp.emit($event)"
        [totalSecretsCount]="totalSecretsCount"
      >
      </app-popup-item>
    </div>
  </cdk-virtual-scroll-viewport>
</div>
